Developers

API Reference

Use the Eventro API to programmatically manage your events, retrieve registrations, and sync data with your internal systems, CRMs, and external tools.

Introduction

Getting Started

The Eventro API is organized around REST. Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

Base URL

https://eventro.com/api/v1

Format

JSON

Authentication

Secret API Keys

Authenticate your account when using the API by including your secret API key in the request. You can manage your API keys in the Developer Settings.

Example Request
curl -X GET https://eventro.com/api/v1/events \
  -H "Authorization: Bearer YOUR_SECRET_KEY"

Your API keys carry many privileges, so be sure to keep them secure! Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.

Formatting

Response Conventions

Success

Successful responses will return the requested object or array.

Error

Errors return a JSON object with an errors array.

{
  "error": "Event not found"
}
GET

List Events

Returns a list of your organized events. The events are returned sorted by creation date, with the most recent events appearing first.

Request

curl -X GET https://eventro.com/api/v1/events \
  -H "Authorization: Bearer sk_test_123"

Response

[
  {
    "id": 1,
    "name": "Summer Tech Camp 2026",
    "status": "published",
    "event_start_date": "2026-08-18"
  }
]
GET

List Registrations

Returns a list of attendees for a specific event. Includes ticket and basic profile information.

Request

curl -X GET https://eventro.com/api/v1/events/1/registrations \
  -H "Authorization: Bearer sk_test_123"

Response

[
  {
    "id": 42,
    "attendee_first_name": "John",
    "attendee_email": "john@example.com",
    "checked_in": false
  }
]

Errors

HTTP Status Codes

Code Status Meaning
200 OK Everything worked as expected.
201 Created The resource was successfully created.
400 Bad Request The request was unacceptable, often due to missing a required parameter.
401 Unauthorized No valid API key provided.
404 Not Found The requested resource doesn't exist.
422 Unprocessable Entity Validation failed for the created or updated resource.
500 Server Error Something went wrong on Eventro's end.